Page 28 of 40 FirstFirst ... 18262728293038 ... LastLast
Results 271 to 280 of 395

Thread: GNOME Classic & Flashback sessions

  1. #271
    Join Date
    Apr 2008
    Beans
    10,346

    Re: Trusty GNOME Classic & Flashback sessions

    Something I found interesting while corresponding with a dev concerning changes to GNOME 3.10 that effected keyboard shortcuts and a disappearing mouse pointer:

    I suspect they will be broken either way, we pass off key grabs to gnome-shell when XDG_CURRENT_DESKTOP=GNOME, this is one of the reasons flashback is switching to use Unity profile
    So hold on tight

  2. #272
    Join Date
    Apr 2008
    Beans
    10,346

    Re: Trusty GNOME Classic & Flashback sessions

    Quote Originally Posted by kansasnoob View Post
    Something I found interesting while corresponding with a dev concerning changes to GNOME 3.10 that effected keyboard shortcuts and a disappearing mouse pointer:



    So hold on tight
    That was a bad representation of what was said, this is more correct:

    On 18/02/14 19:39, Erick Brunzell wrote:
    > On 02/17/2014 06:11 PM, Tim wrote:
    >>
    >>
    >> Hi Lance,
    >> On 18/02/14 11:02, Lance wrote:
    >>> Rough going. It seems that X is broken in Edubuntu flashback-metacity with those packages, at least both the keyboard and mouse are non functional.
    >>>
    >> in the flashback session do you have a process called display-config-daemon running?
    >
    > Haven't gotten that far yet, but I was mistaken.
    >
    > The keyboard is working, but none of the shortcuts are. The mouse pointer is just invisible, I discovered this by just pressing the left mouse button and dragging I could see the normal artifacts on the screen.
    Mouse pointer missing is due to display-config-daemon not running, however I think that should be fixed for flashback now (with trusty2 version)
    if now try the following two command
    XDG_CURRENT_DESKTOP=Unity /usr/lib/displayconfig/display-config-daemon -r --debug
    and in a second terminal
    gnome-settings-daemon -r --debug

    >
    > I'm using a wireless Logitech so I swapped in a Zalman wired mouse but no change. The pointer appears on the login screen but not on the desktop after boot completes.
    >
    > I need to rinse-n-repeat now because I hadn't paid any attention to keyboard shortcuts before installing your PPA. So I'll retest beginning with a new Edubuntu image, then more thoroughly test the default install before applying changes from your PPA.
    I suspect they will be broken either way, we pass off key grabs to gnome-shell when XDG_CURRENT_DESKTOP=GNOME, this is one of the reasons flashback is switching to use Unity profile
    So, as soon as I catch a few winks, I need to do some more testing

  3. #273
    Join Date
    Feb 2014
    Beans
    9

    Re: Trusty GNOME Classic & Flashback sessions

    hello, I am also interested in flashback gnome panel.

    As I also want to use the latest gnome color daemon and wacom panel features, I wanted to ask if it is possible to do that with flashback.

    So: Newest wacom panel settings (3.10+) is now dependent on a plugin in gnome-settings manager AND one in gnome-settings-daemeon; I read elsewere that flashback does have to use it's own settings-daemon, which would render that functionality unuseable - is that true? Can this functionality be backported to 3.8, as 3.10 seems to get skipped in flashback?

    Colord also acts as a plugin of gnome-settings-daemon, so same issue here... I would really like to have full support for these tools - How difficult could it be to port these new versions of the plugins over?

    Also, could it be made possible to add and option to display the system menu again as in gnome2? So that we have applications / places /system . Right now, I use classic-panel , a fallback fork of stefan glasenhardt, in 12.04, which provides this.
    Last edited by cedric5; February 28th, 2014 at 10:51 AM.

  4. #274
    Join Date
    Apr 2008
    Beans
    10,346

    Re: Trusty GNOME Classic & Flashback sessions

    Quote Originally Posted by cedric5 View Post
    hello, I am also interested in flashback gnome panel.

    As I also want to use the latest gnome color daemon and wacom panel features, I wanted to ask if it is possible to do that with flashback.

    So: Newest wacom panel settings (3.10+) is now dependent on a plugin in gnome-settings manager AND one in gnome-settings-daemeon; I read elsewere that flashback does have to use it's own settings-daemon, which would render that functionality unuseable - is that true? Can this functionality be backported to 3.8, as 3.10 seems to get skipped in flashback?

    Colord also acts as a plugin of gnome-settings-daemon, so same issue here... I would really like to have full support for these tools - How difficult could it be to port these new versions of the plugins over?

    Also, could it be made possible to add and option to display the system menu again as in gnome2? So that we have applications / places /system . Right now, I use classic-panel , a fallback fork of stefan glasenhardt, in 12.04, which provides this.
    That's way over my head

    Maybe Alberts has an idea

    My personal concern is just making sure "flashback w/metacity" is working well enough for Edubuntu.

  5. #275
    Join Date
    Feb 2014
    Beans
    9

    Re: Trusty GNOME Classic & Flashback sessions

    The only thing I think that is necessary is that flashback works with the default gnome-settings-daemon of the targeted gnome release. I hope its realistic to assume that this is possible. Backporting the plugins is a whole other issue.

    I read up about g-s-d and fallback and found that support for fallback was removed from g-s-d recently, but as flashback is at least partly gnome-coupled project now, I thought things could have already changed and someone knows more about this issue...

  6. #276
    Join Date
    Apr 2008
    Beans
    10,346

    Re: Trusty GNOME Classic & Flashback sessions

    It's certainly a bit different installing 'gnome-panel' in Ubuntu GNOME Trusty now:

    Commit Log for Fri Feb 28 14:04:47 2014


    Installed the following packages:
    alacarte (3.10.0-1ubuntu1)
    geoclue-ubuntu-geoip (1.0.2+14.04.20131125-0ubuntu1)
    gir1.2-gconf-2.0 (3.2.6-0ubuntu1)
    gir1.2-panelapplet-4.0 (1:3.8.0-1ubuntu8)
    gnome-applets (3.5.92-0ubuntu3)
    gnome-applets-data (3.5.92-0ubuntu3)
    gnome-media (3.4.0-1ubuntu2)
    gnome-panel (1:3.8.0-1ubuntu8)
    gnome-panel-data (1:3.8.0-1ubuntu8)
    gnome-power-manager (3.8.2-1ubuntu2)
    gnome-screensaver (3.6.1-0ubuntu9)
    gnome-session-flashback (1:3.8.0-1ubuntu8)
    gstreamer0.10-gconf (0.10.31-3+nmu1ubuntu4)
    indicator-applet (12.10.2+13.10.20130924.2-0ubuntu1)
    indicator-applet-complete (12.10.2+13.10.20130924.2-0ubuntu1)
    indicator-bluetooth (0.0.6+14.04.20140207-0ubuntu1)
    indicator-datetime (13.10.0+14.04.20140227.1-0ubuntu1)
    indicator-keyboard (0.0.0+14.04.20140227.3-0ubuntu1)
    indicator-messages (13.10.1+14.04.20140207-0ubuntu1)
    indicator-power (12.10.6+14.04.20140207-0ubuntu1)
    indicator-printers (0.1.7+14.04.20140213-0ubuntu1)
    indicator-session (12.10.5+14.04.20140214-0ubuntu1)
    indicator-sound (12.10.2+14.04.20140224-0ubuntu1)
    libaccount-plugin-1.0-0 (0.1.7~+14.04.20140211.2-0ubuntu3)
    libaccount-plugin-generic-oauth (0.11+14.04.20131126.2-0ubuntu1)
    libaccount-plugin-google (0.11+14.04.20131126.2-0ubuntu1)
    libaccounts-qt5-1 (1.10+13.10.20131016.1-0ubuntu1)
    libgee2 (0.6.8-1ubuntu1)
    libgnome-media-profiles-3.0-0 (3.0.0-1ubuntu2)
    liblightdm-gobject-1-0 (1.9.8-0ubuntu1)
    libmetacity-private0a (1:2.34.13-0ubuntu4)
    libpanel-applet-4-0 (1:3.8.0-1ubuntu8)
    libqt53d5 (5.0~git20130731-0ubuntu1)
    libqt5core5 (5.0.2+dfsg1-7ubuntu18)
    libqt5dbus5 (5.0.2+dfsg1-7ubuntu18)
    libqt5gui5 (5.0.2+dfsg1-7ubuntu18)
    libqt5location5 (5.0~git20130805-0ubuntu4)
    libqt5network5 (5.0.2+dfsg1-7ubuntu18)
    libqt5opengl5 (5.0.2+dfsg1-7ubuntu18)
    libqt5printsupport5 (5.0.2+dfsg1-7ubuntu18)
    libqt5qml5 (5.0.2-6ubuntu6)
    libqt5quick5 (5.0.2-6ubuntu6)
    libqt5sensors5 (5.1.1+dfsg-2ubuntu3)
    libqt5sql5 (5.0.2+dfsg1-7ubuntu18)
    libqt5sql5-sqlite (5.0.2+dfsg1-7ubuntu18)
    libqt5test5 (5.0.2+dfsg1-7ubuntu18)
    libqt5v8-5 (5.0.2-3)
    libqt5webkit5 (5.1.1-1ubuntu4)
    libqt5widgets5 (5.0.2+dfsg1-7ubuntu18)
    libqt5xml5 (5.0.2+dfsg1-7ubuntu18)
    libsignon-extension1 (8.55+14.04.20131212-0ubuntu1)
    libsignon-plugins-common1 (8.55+14.04.20131212-0ubuntu1)
    libsignon-qt5-1 (8.55+14.04.20131212-0ubuntu1)
    libtimezonemap1 (0.4.1)
    liburl-dispatcher1 (0.1+14.04.20140217.1-0ubuntu1)
    libxcb-randr0 (1.10-2ubuntu1)
    libxcb-render-util0 (0.3.8-1.1ubuntu1)
    metacity (1:2.34.13-0ubuntu4)
    metacity-common (1:2.34.13-0ubuntu4)
    signon-keyring-extension (0.6+13.10.20130626-0ubuntu1)
    signon-plugin-oauth2 (0.19+14.04.20131126.2-0ubuntu1)
    signon-ui (0.15+14.04.20131024.2-0ubuntu1)
    signond (8.55+14.04.20131212-0ubuntu1)
    unity-control-center (14.04.3+14.04.20140226-0ubuntu1)
    unity-control-center-signon (0.1.7~+14.04.20140211.2-0ubuntu3)

  7. #277
    Join Date
    Feb 2014
    Beans
    9

    Re: Trusty GNOME Classic & Flashback sessions

    ok..You have not installed with --no-install-recommends - much less dependencies then


    sudo apt-get install gnome-panel gnome-applets gnome-session-flashback --no-install-recommends

    gir1.2-gconf-2.0 gir1.2-panelapplet-4.0 gnome-applets gnome-applets-data gnome-panel gnome-panel-data gnome-session-flashback libmetacity-private0a libpanel-applet-4-0 metacity metacity-common
    I took a look and it looks like right now there is the default g-s-d (which is 3.8 right now - shouldn't be there a version bump to 3.10 in final? I guess not because of feature freeze time) in as dependency in which is good.
    gnome control-center is still 3.6?!? and I know canonical is doing a quick fork just for LTS..


    have to try around if that works out as expected, but I hope so.
    only thing which bothers me is dependency on nautilus 3.8+, which is a bit harsh, 3.4 minimum and nemo (so nautilus (>=3.4) | nemo) would be a wiser choice nowadays, because not everyone likes crippled filebrowsers
    Last edited by cedric5; February 28th, 2014 at 10:52 PM.

  8. #278
    Join Date
    Apr 2008
    Beans
    10,346

    Re: Trusty GNOME Classic & Flashback sessions

    Quote Originally Posted by cedric5 View Post
    ok..You have not installed with --no-install-recommends - much less dependencies then




    I took a look and it looks like right now there is the default g-s-d (which is 3.8 right now - shouldn't be there a version bump to 3.10 in final? I guess not because of feature freeze time) in as dependency in which is good.
    gnome control-center is still 3.6?!? and I know canonical is doing a quick fork just for LTS..


    have to try around if that works out as expected, but I hope so.
    only thing which bothers me is dependency on nautilus 3.8+, which is a bit harsh, 3.4 minimum and nemo (so nautilus (>=3.4) | nemo) would be a wiser choice nowadays, because not everyone likes crippled filebrowsers
    I performed some testing with these additional packages:

    https://launchpad.net/~darkxst/+arch...series_filter=

    But there were bumps in the road

    You can read starting here:

    https://lists.launchpad.net/ubuntugn.../msg00320.html

    A few things got ugly though, like an invisible mouse pointer and broken keyboard shortcuts.

    I'm not sure where Tim is on getting those last changes into Trusty ATM. He had indicated that he'd need to request an exception at this point in development.

    Things are a bit on the ugly side ATM though.

  9. #279
    Join Date
    Feb 2014
    Beans
    9

    Re: Trusty GNOME Classic & Flashback sessions

    already found that in gnome-flashback-list.... looks not too bad, but shurely someone capable has to fix it.

  10. #280
    Join Date
    Apr 2008
    Beans
    10,346

    Re: Trusty GNOME Classic & Flashback sessions

    Quote Originally Posted by cedric5 View Post
    already found that in gnome-flashback-list.... looks not too bad, but shurely someone capable has to fix it.
    I'm Erick there

    If I were to guess I'd say they're waiting for the last shoe to drop in this transition from g-s-d to u-s-d, but that's only a guess!

Page 28 of 40 FirstFirst ... 18262728293038 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •